- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_reciprocal: Reciprocal
GTX Extensions (Experimental)

## Functions
template<typename genType >
genType | acot (genType const &x)
template<typename genType >
genType | acoth (genType const &x)
template<typename genType >
genType | acsc (genType const &x)
template<typename genType >
genType | acsch (genType const &x)
template<typename genType >
genType | asec (genType const &x)
template<typename genType >
genType | asech (genType const &x)
template<typename genType >
genType | cot (genType const &angle)
template<typename genType >
genType | coth (genType const &angle)
template<typename genType >
genType | csc (genType const &angle)
template<typename genType >
genType | csch (genType const &angle)
template<typename genType >
genType | sec (genType const &angle)
template<typename genType >
genType | sech (genType const &angle)

## Detailed Description

Define secant, cosecant and cotangent functions.

<glm/gtx/reciprocal.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::acot | ( | genType const & | x | ) |

Inverse cotangent function.

From GLM_GTX_reciprocal extension.

genType glm::acoth | ( | genType const & | x | ) |

Inverse cotangent hyperbolic function.

From GLM_GTX_reciprocal extension.

genType glm::acsc | ( | genType const & | x | ) |

Inverse cosecant function.

From GLM_GTX_reciprocal extension.

genType glm::acsch | ( | genType const & | x | ) |

Inverse cosecant hyperbolic function.

From GLM_GTX_reciprocal extension.

genType glm::asec | ( | genType const & | x | ) |

Inverse secant function.

From GLM_GTX_reciprocal extension.

genType glm::asech | ( | genType const & | x | ) |

Inverse secant hyperbolic function.

From GLM_GTX_reciprocal extension.

genType glm::cot | ( | genType const & | angle | ) |

Cotangent function.

adjacent / opposite or 1 / tan(x) From GLM_GTX_reciprocal extension.

genType glm::coth | ( | genType const & | angle | ) |

Cotangent hyperbolic function.

From GLM_GTX_reciprocal extension.

genType glm::csc | ( | genType const & | angle | ) |

Cosecant function.

hypotenuse / opposite or 1 / sin(x) From GLM_GTX_reciprocal extension.

genType glm::csch | ( | genType const & | angle | ) |

Cosecant hyperbolic function.

From GLM_GTX_reciprocal extension.

genType glm::sec | ( | genType const & | angle | ) |

Secant function.

hypotenuse / adjacent or 1 / cos(x) From GLM_GTX_reciprocal extension.

genType glm::sech | ( | genType const & | angle | ) |

Secant hyperbolic function.

From GLM_GTX_reciprocal extension.